### Hierarchy

- Transform
- Zlib
  - BrotliDecompress

### Implements

- ReadableStream
- Writable

## Index

### Constructors

- constructor

### Properties

- bytesRead
- bytesWritten
- readable
- readableHighWaterMark
- readableLength
- shell
- writable
- writableHighWaterMark
- writableLength
- defaultMaxListeners

### Methods

- __@asyncIterator
- _destroy
- _final
- _flush
- _read
- _transform
- _write
- _writev
- addListener
- close
- cork
- destroy
- emit
- end
- eventNames
- flush
- getMaxListeners
- isPaused
- listenerCount
- listeners
- off
- on
- once
- pause
- pipe
- prependListener
- prependOnceListener
- push
- rawListeners
- read
- removeAllListeners
- removeListener
- resume
- setDefaultEncoding
- setEncoding
- setMaxListeners
- uncork
- unpipe
- unshift
- wrap
- write
- listenerCount

## Constructors

### constructor

- new BrotliDecompress(opts?: TransformOptions): BrotliDecompress

- Inherited from Transform.constructor

  Overrides Duplex.constructor

  - Defined in node_modules/@types/node/stream.d.ts:237

  #### Parameters

  - ##### Optional opts: TransformOptions

  #### Returns BrotliDecompress

## Properties

### bytesRead

bytesRead: number

Inherited from Zlib.bytesRead

- Defined in node_modules/@types/node/zlib.d.ts:47

deprecated

  Use bytesWritten instead.

### bytesWritten

bytesWritten: number

Inherited from Zlib.bytesWritten

- Defined in node_modules/@types/node/zlib.d.ts:48

### readable

readable: boolean

Inherited from Readable.readable

- Defined in node_modules/@types/node/stream.d.ts:20

### readableHighWaterMark

readableHighWaterMark: number

Inherited from Readable.readableHighWaterMark

- Defined in node_modules/@types/node/stream.d.ts:21

### readableLength

readableLength: number

Inherited from Readable.readableLength

- Defined in node_modules/@types/node/stream.d.ts:22

### Optional shell

shell: boolean | string

Inherited from Zlib.shell

- Defined in node_modules/@types/node/zlib.d.ts:49

### writable

writable: boolean

Inherited from Duplex.writable

- Defined in node_modules/@types/node/stream.d.ts:207

### writableHighWaterMark

writableHighWaterMark: number

Inherited from Duplex.writableHighWaterMark

- Defined in node_modules/@types/node/stream.d.ts:208

### writableLength

writableLength: number

Inherited from Duplex.writableLength

- Defined in node_modules/@types/node/stream.d.ts:209

### Static defaultMaxListeners

defaultMaxListeners: number

Inherited from EventEmitter.defaultMaxListeners

- Defined in node_modules/@types/node/events.d.ts:8

## Methods

### __@asyncIterator

- __@asyncIterator(): AsyncIterableIterator<any>

- Inherited from Readable.__@asyncIterator

  - Defined in node_modules/@types/node/stream.d.ts:95

  #### Returns AsyncIterableIterator<any>

### _destroy

- _destroy(error: Error | null, callback: function): void

- Inherited from Duplex._destroy

  Overrides Readable._destroy

  - Defined in node_modules/@types/node/stream.d.ts:213

  #### Parameters

  - ##### error: Error | null

  - ##### callback: function

    - - (error: Error | null): void

      - #### Parameters

        - ##### error: Error | null

        #### Returns void

### _final

- _final(callback: function): void

- Inherited from Duplex._final

  - Defined in node_modules/@types/node/stream.d.ts:214

  #### Parameters

  - ##### callback: function

    - - (error?: Error | null): void

      - #### Parameters

        - ##### Optional error: Error | null

        #### Returns void

### _flush

- _flush(callback: TransformCallback): void

- Inherited from Transform._flush

  - Defined in node_modules/@types/node/stream.d.ts:240

  #### Parameters

  - ##### callback: TransformCallback

  #### Returns void

### _read

- _read(size: number): void

- Inherited from Readable._read

  - Defined in node_modules/@types/node/stream.d.ts:24

  #### Parameters

  - ##### size: number

  #### Returns void

### _transform

- _transform(chunk: any, encoding: string, callback: TransformCallback): void

- Inherited from Transform._transform

  - Defined in node_modules/@types/node/stream.d.ts:239

  #### Parameters

  - ##### chunk: any

  - ##### encoding: string

  - ##### callback: TransformCallback

  #### Returns void

### _write

- _write(chunk: any, encoding: string, callback: function): void

- Inherited from Duplex._write

  - Defined in node_modules/@types/node/stream.d.ts:211

  #### Parameters

  - ##### chunk: any

  - ##### encoding: string

  - ##### callback: function

    - - (error?: Error | null): void

      - #### Parameters

        - ##### Optional error: Error | null

        #### Returns void

### Optional _writev

- _writev(chunks: Array<object>, callback: function): void

- Inherited from Duplex._writev

  - Defined in node_modules/@types/node/stream.d.ts:212

  #### Parameters

  - ##### chunks: Array<object>

  - ##### callback: function

    - - (error?: Error | null): void

      - #### Parameters

        - ##### Optional error: Error | null

        #### Returns void

### addListener

- addListener(event: "close", listener: function): this
- addListener(event: "data", listener: function): this
- addListener(event: "end", listener: function): this
- addListener(event: "readable", listener: function): this
- addListener(event: "error", listener: function): this
- addListener(event: string | symbol, listener: function): this

- Inherited from Readable.addListener

  Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/stream.d.ts:46

  Event emitter The defined events on documents including:

  1. close
  2. data
  3. end
  4. readable
  5. error

  #### Parameters

  - ##### event: "close"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Readable.addListener

  Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/stream.d.ts:47

  #### Parameters

  - ##### event: "data"

  - ##### listener: function

    - - (chunk: any): void

      - #### Parameters

        - ##### chunk: any

        #### Returns void

  #### Returns this

- Inherited from Readable.addListener

  Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/stream.d.ts:48

  #### Parameters

  - ##### event: "end"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Readable.addListener

  Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/stream.d.ts:49

  #### Parameters

  - ##### event: "readable"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Readable.addListener

  Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/stream.d.ts:50

  #### Parameters

  - ##### event: "error"

  - ##### listener: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

  #### Returns this

- Inherited from Readable.addListener

  Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/stream.d.ts:51

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### close

- close(callback?: undefined | function): void

- Inherited from Zlib.close

  - Defined in node_modules/@types/node/zlib.d.ts:50

  #### Parameters

  - ##### Optional callback: undefined | function

  #### Returns void

### cork

- cork(): void

- Inherited from Duplex.cork

  - Defined in node_modules/@types/node/stream.d.ts:221

  #### Returns void

### destroy

- destroy(error?: Error): void

- Inherited from Readable.destroy

  - Defined in node_modules/@types/node/stream.d.ts:35

  #### Parameters

  - ##### Optional error: Error

  #### Returns void

### emit

- emit(event: "close"): boolean
- emit(event: "data", chunk: any): boolean
- emit(event: "end"): boolean
- emit(event: "readable"): boolean
- emit(event: "error", err: Error): boolean
- emit(event: string | symbol, ...args: any[]): boolean

- Inherited from Readable.emit

  Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/stream.d.ts:53

  #### Parameters

  - ##### event: "close"

  #### Returns boolean

- Inherited from Readable.emit

  Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/stream.d.ts:54

  #### Parameters

  - ##### event: "data"

  - ##### chunk: any

  #### Returns boolean

- Inherited from Readable.emit

  Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/stream.d.ts:55

  #### Parameters

  - ##### event: "end"

  #### Returns boolean

- Inherited from Readable.emit

  Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/stream.d.ts:56

  #### Parameters

  - ##### event: "readable"

  #### Returns boolean

- Inherited from Readable.emit

  Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/stream.d.ts:57

  #### Parameters

  - ##### event: "error"

  - ##### err: Error

  #### Returns boolean

- Inherited from Readable.emit

  Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/stream.d.ts:58

  #### Parameters

  - ##### event: string | symbol

  - ##### Rest ...args: any[]

  #### Returns boolean

### end

- end(cb?: undefined | function): void
- end(chunk: any, cb?: undefined | function): void
- end(chunk: any, encoding?: undefined | string, cb?: undefined | function): void

- Inherited from Duplex.end

  - Defined in node_modules/@types/node/stream.d.ts:218

  #### Parameters

  - ##### Optional cb: undefined | function

  #### Returns void

- Inherited from Duplex.end

  - Defined in node_modules/@types/node/stream.d.ts:219

  #### Parameters

  - ##### chunk: any

  - ##### Optional cb: undefined | function

  #### Returns void

- Inherited from Duplex.end

  - Defined in node_modules/@types/node/stream.d.ts:220

  #### Parameters

  - ##### chunk: any

  - ##### Optional encoding: undefined | string

  - ##### Optional cb: undefined | function

  #### Returns void

### eventNames

- eventNames(): Array<string | symbol>

- Inherited from EventEmitter.eventNames

  Overrides EventEmitter.eventNames

  - Defined in node_modules/@types/node/events.d.ts:23

  #### Returns Array<string | symbol>

### flush

- flush(kind?: number | function, callback?: undefined | function): void

- Inherited from Zlib.flush

  - Defined in node_modules/@types/node/zlib.d.ts:51

  #### Parameters

  - ##### Optional kind: number | function

  - ##### Optional callback: undefined | function

  #### Returns void

### getMaxListeners

- getMaxListeners(): number

- Inherited from EventEmitter.getMaxListeners

  Overrides EventEmitter.getMaxListeners

  - Defined in node_modules/@types/node/events.d.ts:19

  #### Returns number

### isPaused

- isPaused(): boolean

- Inherited from Readable.isPaused

  - Defined in node_modules/@types/node/stream.d.ts:29

  #### Returns boolean

### listenerCount

- listenerCount(type: string | symbol): number

- Inherited from EventEmitter.listenerCount

  Overrides EventEmitter.listenerCount

  - Defined in node_modules/@types/node/events.d.ts:24

  #### Parameters

  - ##### type: string | symbol

  #### Returns number

### listeners

- listeners(event: string | symbol): Function[]

- Inherited from EventEmitter.listeners

  Overrides EventEmitter.listeners

  - Defined in node_modules/@types/node/events.d.ts:20

  #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

### off

- off(event: string | symbol, listener: function): this

- Inherited from EventEmitter.off

  Overrides EventEmitter.off

  - Defined in node_modules/@types/node/events.d.ts:16

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### on

- on(event: "close", listener: function): this
- on(event: "data", listener: function): this
- on(event: "end", listener: function): this
- on(event: "readable", listener: function): this
- on(event: "error", listener: function): this
- on(event: string | symbol, listener: function): this

- Inherited from Readable.on

  Overrides EventEmitter.on

  - Defined in node_modules/@types/node/stream.d.ts:60

  #### Parameters

  - ##### event: "close"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Readable.on

  Overrides EventEmitter.on

  - Defined in node_modules/@types/node/stream.d.ts:61

  #### Parameters

  - ##### event: "data"

  - ##### listener: function

    - - (chunk: any): void

      - #### Parameters

        - ##### chunk: any

        #### Returns void

  #### Returns this

- Inherited from Readable.on

  Overrides EventEmitter.on

  - Defined in node_modules/@types/node/stream.d.ts:62

  #### Parameters

  - ##### event: "end"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Readable.on

  Overrides EventEmitter.on

  - Defined in node_modules/@types/node/stream.d.ts:63

  #### Parameters

  - ##### event: "readable"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Readable.on

  Overrides EventEmitter.on

  - Defined in node_modules/@types/node/stream.d.ts:64

  #### Parameters

  - ##### event: "error"

  - ##### listener: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

  #### Returns this

- Inherited from Readable.on

  Overrides EventEmitter.on

  - Defined in node_modules/@types/node/stream.d.ts:65

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### once

- once(event: "close", listener: function): this
- once(event: "data", listener: function): this
- once(event: "end", listener: function): this
- once(event: "readable", listener: function): this
- once(event: "error", listener: function): this
- once(event: string | symbol, listener: function): this

- Inherited from Readable.once

  Overrides EventEmitter.once

  - Defined in node_modules/@types/node/stream.d.ts:67

  #### Parameters

  - ##### event: "close"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Readable.once

  Overrides EventEmitter.once

  - Defined in node_modules/@types/node/stream.d.ts:68

  #### Parameters

  - ##### event: "data"

  - ##### listener: function

    - - (chunk: any): void

      - #### Parameters

        - ##### chunk: any

        #### Returns void

  #### Returns this

- Inherited from Readable.once

  Overrides EventEmitter.once

  - Defined in node_modules/@types/node/stream.d.ts:69

  #### Parameters

  - ##### event: "end"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Readable.once

  Overrides EventEmitter.once

  - Defined in node_modules/@types/node/stream.d.ts:70

  #### Parameters

  - ##### event: "readable"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Readable.once

  Overrides EventEmitter.once

  - Defined in node_modules/@types/node/stream.d.ts:71

  #### Parameters

  - ##### event: "error"

  - ##### listener: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

  #### Returns this

- Inherited from Readable.once

  Overrides EventEmitter.once

  - Defined in node_modules/@types/node/stream.d.ts:72

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### pause

- pause(): this

- Inherited from Readable.pause

  - Defined in node_modules/@types/node/stream.d.ts:27

  #### Returns this

### pipe

- pipe<T>(destination: T, options?: undefined | object): T

- Inherited from internal.pipe

  - Defined in node_modules/@types/node/stream.d.ts:5

  #### Type parameters

  - #### T: WritableStream

  #### Parameters

  - ##### destination: T

  - ##### Optional options: undefined | object

  #### Returns T

### prependListener

- prependListener(event: "close", listener: function): this
- prependListener(event: "data", listener: function): this
- prependListener(event: "end", listener: function): this
- prependListener(event: "readable", listener: function): this
- prependListener(event: "error", listener: function): this
- prependListener(event: string | symbol, listener: function): this

- Inherited from Readable.prependListener

  Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/stream.d.ts:74

  #### Parameters

  - ##### event: "close"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Readable.prependListener

  Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/stream.d.ts:75

  #### Parameters

  - ##### event: "data"

  - ##### listener: function

    - - (chunk: any): void

      - #### Parameters

        - ##### chunk: any

        #### Returns void

  #### Returns this

- Inherited from Readable.prependListener

  Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/stream.d.ts:76

  #### Parameters

  - ##### event: "end"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Readable.prependListener

  Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/stream.d.ts:77

  #### Parameters

  - ##### event: "readable"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Readable.prependListener

  Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/stream.d.ts:78

  #### Parameters

  - ##### event: "error"

  - ##### listener: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

  #### Returns this

- Inherited from Readable.prependListener

  Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/stream.d.ts:79

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### prependOnceListener

- prependOnceListener(event: "close", listener: function): this
- prependOnceListener(event: "data", listener: function): this
- prependOnceListener(event: "end", listener: function): this
- prependOnceListener(event: "readable", listener: function): this
- prependOnceListener(event: "error", listener: function): this
- prependOnceListener(event: string | symbol, listener: function): this

- Inherited from Readable.prependOnceListener

  Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/stream.d.ts:81

  #### Parameters

  - ##### event: "close"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Readable.prependOnceListener

  Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/stream.d.ts:82

  #### Parameters

  - ##### event: "data"

  - ##### listener: function

    - - (chunk: any): void

      - #### Parameters

        - ##### chunk: any

        #### Returns void

  #### Returns this

- Inherited from Readable.prependOnceListener

  Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/stream.d.ts:83

  #### Parameters

  - ##### event: "end"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Readable.prependOnceListener

  Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/stream.d.ts:84

  #### Parameters

  - ##### event: "readable"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Readable.prependOnceListener

  Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/stream.d.ts:85

  #### Parameters

  - ##### event: "error"

  - ##### listener: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

  #### Returns this

- Inherited from Readable.prependOnceListener

  Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/stream.d.ts:86

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### push

- push(chunk: any, encoding?: undefined | string): boolean

- Inherited from Readable.push

  - Defined in node_modules/@types/node/stream.d.ts:33

  #### Parameters

  - ##### chunk: any

  - ##### Optional encoding: undefined | string

  #### Returns boolean

### rawListeners

- rawListeners(event: string | symbol): Function[]

- Inherited from EventEmitter.rawListeners

  Overrides EventEmitter.rawListeners

  - Defined in node_modules/@types/node/events.d.ts:21

  #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

### read

- read(size?: undefined | number): any

- Inherited from Readable.read

  - Defined in node_modules/@types/node/stream.d.ts:25

  #### Parameters

  - ##### Optional size: undefined | number

  #### Returns any

### removeAllListeners

- removeAllListeners(event?: string | symbol): this

- Inherited from EventEmitter.removeAllListeners

  Overrides EventEmitter.removeAllListeners

  - Defined in node_modules/@types/node/events.d.ts:17

  #### Parameters

  - ##### Optional event: string | symbol

  #### Returns this

### removeListener

- removeListener(event: "close", listener: function): this
- removeListener(event: "data", listener: function): this
- removeListener(event: "end", listener: function): this
- removeListener(event: "readable", listener: function): this
- removeListener(event: "error", listener: function): this
- removeListener(event: string | symbol, listener: function): this

- Inherited from Readable.removeListener

  Overrides EventEmitter.removeListener

  - Defined in node_modules/@types/node/stream.d.ts:88

  #### Parameters

  - ##### event: "close"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Readable.removeListener

  Overrides EventEmitter.removeListener

  - Defined in node_modules/@types/node/stream.d.ts:89

  #### Parameters

  - ##### event: "data"

  - ##### listener: function

    - - (chunk: any): void

      - #### Parameters

        - ##### chunk: any

        #### Returns void

  #### Returns this

- Inherited from Readable.removeListener

  Overrides EventEmitter.removeListener

  - Defined in node_modules/@types/node/stream.d.ts:90

  #### Parameters

  - ##### event: "end"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Readable.removeListener

  Overrides EventEmitter.removeListener

  - Defined in node_modules/@types/node/stream.d.ts:91

  #### Parameters

  - ##### event: "readable"

  - ##### listener: function

    - - (): void

      - #### Returns void

  #### Returns this

- Inherited from Readable.removeListener

  Overrides EventEmitter.removeListener

  - Defined in node_modules/@types/node/stream.d.ts:92

  #### Parameters

  - ##### event: "error"

  - ##### listener: function

    - - (err: Error): void

      - #### Parameters

        - ##### err: Error

        #### Returns void

  #### Returns this

- Inherited from Readable.removeListener

  Overrides EventEmitter.removeListener

  - Defined in node_modules/@types/node/stream.d.ts:93

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### resume

- resume(): this

- Inherited from Readable.resume

  - Defined in node_modules/@types/node/stream.d.ts:28

  #### Returns this

### setDefaultEncoding

- setDefaultEncoding(encoding: string): this

- Inherited from Duplex.setDefaultEncoding

  - Defined in node_modules/@types/node/stream.d.ts:217

  #### Parameters

  - ##### encoding: string

  #### Returns this

### setEncoding

- setEncoding(encoding: string): this

- Inherited from Readable.setEncoding

  - Defined in node_modules/@types/node/stream.d.ts:26

  #### Parameters

  - ##### encoding: string

  #### Returns this

### setMaxListeners

- setMaxListeners(n: number): this

- Inherited from EventEmitter.setMaxListeners

  Overrides EventEmitter.setMaxListeners

  - Defined in node_modules/@types/node/events.d.ts:18

  #### Parameters

  - ##### n: number

  #### Returns this

### uncork

- uncork(): void

- Inherited from Duplex.uncork

  - Defined in node_modules/@types/node/stream.d.ts:222

  #### Returns void

### unpipe

- unpipe(destination?: WritableStream): this

- Inherited from Readable.unpipe

  - Defined in node_modules/@types/node/stream.d.ts:30

  #### Parameters

  - ##### Optional destination: WritableStream

  #### Returns this

### unshift

- unshift(chunk: any): void

- Inherited from Readable.unshift

  - Defined in node_modules/@types/node/stream.d.ts:31

  #### Parameters

  - ##### chunk: any

  #### Returns void

### wrap

- wrap(oldStream: ReadableStream): this

- Inherited from Readable.wrap

  - Defined in node_modules/@types/node/stream.d.ts:32

  #### Parameters

  - ##### oldStream: ReadableStream

  #### Returns this

### write

- write(chunk: any, encoding?: undefined | string, cb?: undefined | function): boolean
- write(chunk: any, cb?: undefined | function): boolean

- Inherited from Duplex.write

  - Defined in node_modules/@types/node/stream.d.ts:215

  #### Parameters

  - ##### chunk: any

  - ##### Optional encoding: undefined | string

  - ##### Optional cb: undefined | function

  #### Returns boolean

- Inherited from Duplex.write

  - Defined in node_modules/@types/node/stream.d.ts:216

  #### Parameters

  - ##### chunk: any

  - ##### Optional cb: undefined | function

  #### Returns boolean

### Static listenerCount

- listenerCount(emitter: EventEmitter, event: string | symbol): number

- Inherited from EventEmitter.listenerCount

  - Defined in node_modules/@types/node/events.d.ts:7
  deprecated

    since v4.0.0

  #### Parameters

  - ##### emitter: EventEmitter

  - ##### event: string | symbol

  #### Returns number

Generated using TypeDoc